API reference

Get an order

GET
/v1/storefront/orders/{id}

Where an order placed online is: waiting for the shop, open, completed or cancelled, what is paid, and its delivery.

Authorization

publishableKey
headerAuthorizationBearer <pk_live_…>

The shop’s publishable key, from Settings, Developers in Cashiar. Safe to use in a browser.

Path Parameters

id*string

Response Body

application/json
  1. response
id*string
number*string
status*string
Value in"waiting""open""completed""cancelled"
total*number
paid*number
delivery*|null
createdAt*string
Formatdate-time
Example Request
curl -X GET 'https://api.cashiar.app/v1/storefront/orders/string'
Example Response200
{
  "id": "string",
  "number": "string",
  "status": "waiting",
  "total": 0,
  "paid": 0,
  "delivery": {
    "status": "waiting",
    "trackUrl": "string"
  },
  "createdAt": "2019-08-24T14:15:22Z"
}